//
//  YHSheetPickerViewType.swift
//  galaxy
//
//  Created by edy on 2024/2/22.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

enum YHSheetPickerViewType: Int {

    // 按自然顺序递增
    case none = 0
    // 学位
    case degree
    // 学位2 (包含无学位类型)
    case educationDegree
    // 学位有无
    case ownDegree
    // 婚姻
    case marriage
    // 授课形式
    case educationStyle
    // 职业
    case occupation
    // 职业2
    case profession
    // 性别
    case gender
    // 证件
    case certificate
    // 在港身份
    case identity
    // 颁发地区
    case degreeLocation
    // 专业证书
    case professionCertificate
    // 学位类型
    case degreeCategory
}

class YHSheetPickerViewItem {
    
    var index:Int = -1
    var title:String = ""
    
    init(title: String, index: Int) {
        self.title = title
        self.index = index
    }
}
